(
	function( $ ) {
		'use strict';

		var $body = $( 'body' );

		var Helpers = window.minimog.Helpers;

		$( document ).ready( function() {
			reAddWCFunctions();
			initProductImagesSlider();

			initSingleStickyAddToCartForm();

			commentAttachmentUploadHandler();
			commentAttachmentGalleryInit();
			commentTextCollapsible();
			fixProductBoughtTogether();
			setProductViewed();

			$body.on( 'isw_selected', swatchesSelected );

			$( '.minimog-tabs' ).MinimogTabPanel();

			$( document.body ).on( 'click', '.woobt-add-btn', function( evt ) {
				evt.preventDefault();

				var $toggleButton = $( this );

				var pid = $toggleButton.attr( 'data-pid' );


				var $product = $toggleButton.parents( '.woobt-images' ).siblings( '.woobt-products' ).find( '.woobt-product[data-pid="' + pid + '"]' );
				var $checkbox = $product.find( '.woobt-checkbox' );

				var ACTIVE_CLASS = 'checked';

				var isCheck = $toggleButton.hasClass( ACTIVE_CLASS );

				if ( isCheck ) {
					$toggleButton.removeClass( ACTIVE_CLASS );
				} else {
					$toggleButton.addClass( ACTIVE_CLASS );
				}

				$checkbox.prop( 'checked', ! isCheck );
				$checkbox.trigger( 'change' );
			} );

			$( document.body ).on( 'change', '.woobt-layout-separate .woobt-checkbox', function( evt ) {
				var $checkbox = $( this );
				var isChecked = $checkbox.prop( 'checked' );
				var $product = $checkbox.closest( '.woobt-product' );
				var pID = $product.data( 'pid' );

				var $productImage = $product.parents( '.woobt-products' ).siblings( '.woobt-images' ).find( '.woobt-image-' + pID );
				if ( isChecked ) {
					$productImage.find( '.woobt-add-btn' ).addClass( 'checked' )
				} else {
					$productImage.find( '.woobt-add-btn' ).removeClass( 'checked' )
				}
			} );

			initProduct360();
		} );

		function initProduct360() {
			$( '.modal-product-360' ).on( 'MinimogModalOpen', function() {
				var $spinObject = $( this ).find( '.product-spritespin' );

				if ( ! $spinObject.data( 'spritespin' ) ) {
					var settings = $spinObject.data( 'spritespin-settings' );

					var options = $.extend( {}, {
						sense: - 1,
						responsive: true,
						animate: false,
						plugins: [
							'360', // Required.
							'wheel',
							//'progress',
							'drag'
						]
					}, settings );

					$spinObject.spritespin( options );
				}
			} );
		}

		function fixProductBoughtTogether() {
			var $variationsForm = $( '#woo-single-info .entry-summary > .variations_form' );
			var $frequentlyProducts = $variationsForm.siblings( '.woobt-wrap' );
			var $currentProduct = $frequentlyProducts.find( '.woobt-product-this' );

			/**
			 * Update Variations for This Product in Bought Together List.
			 */
			$variationsForm.find( 'select' ).on( 'change', function() {
				var $select = $( this );

				var attributeName = $select.attr( 'name' );
				var attributeValue = $select.val();

				$currentProduct.find( '.variations_form select[name="' + attributeName + '"]' ).val( attributeValue ).trigger( 'change' );
			} );

			if ( $.fn.perfectScrollbar && ! Helpers.isHandheld() ) {
				$( '.woobt-products-wrap' ).perfectScrollbar( {
					suppressScrollY: true,
					useBothWheelAxes: true,
				} );
			}
		}

		function swatchesSelected( evt, attr, term, title, $thisTerm ) {
			var $termRow = $thisTerm.parents( '.row-isw-swatch' ).first();

			if ( $termRow.hasClass( 'row-isw-swatch--isw_select' ) ) {
				return;
			}

			$termRow.find( '.selected-term-name' ).html( title );
		}

		function initProductImagesSlider() {
			if ( ! $minimog.isSingle || 'product' !== $minimog.postType ) {
				return;
			}

			if ( $minimogProductSingle.featureStyle !== 'slider' && $minimogProductSingle.featureStyle !== 'slider-02' && $minimogProductSingle.featureStyle !== 'carousel' ) {
				return;
			}

			var $productWrap = $( '#woo-single-info' );
			var $sliderWrap = $productWrap.find( '.woo-single-gallery' );

			if ( 0 >= $sliderWrap.length ) {
				return;
			}

			var options = {};
			if ( $sliderWrap.hasClass( 'has-thumbs-slider' ) ) {
				var thumbsSlider = $sliderWrap.find( '.minimog-thumbs-swiper' ).MinimogSwiper();
				options = {
					thumbs: {
						swiper: thumbsSlider
					}
				};
			}
			var mainSlider = $sliderWrap.children( '.minimog-main-swiper' ).MinimogSwiper( options );
			var $form = $productWrap.find( '.entry-summary .variations_form' );
			var variations = $form.data( 'product_variations' );

			$form.find( 'select' ).on( 'change', function() {
				var isFieldSelected = true;
				var needReset = false;
				var globalAttrs = {};

				var formValues = $form.serializeArray();

				// Check all attributes selected.
				for ( var i = 0; i < formValues.length; i ++ ) {

					var _name = formValues[ i ].name;

					if ( _name.substring( 0, 10 ) === 'attribute_' ) {

						globalAttrs[ _name ] = formValues[ i ].value;

						if ( formValues[ i ].value === '' ) {
							isFieldSelected = false;

							break;
						}
					}
				}

				if ( isFieldSelected === true ) {
					// Convert to array.
					var selectedAttributes = Object.entries( globalAttrs );

					var variationImageID = 0;
					var minMatch = 0;

					for ( var i = variations.length - 1; i >= 0; i -- ) {
						var currentVariation = variations[ i ];
						var currentAttributes = Object.entries( currentVariation.attributes ); // Convert to array.
						var loopMatch = 0;

						// Compare selected variation with all variations to find best matches.
						currentAttributes.forEach( ( [ key, value ] ) => {
							selectedAttributes.forEach( ( [ selectedKey, selectedValue ] ) => {

								if ( selectedKey === key ) {
									if ( selectedValue === value
									     || '' === value // Any Terms.
									) {
										loopMatch ++;
									}
								}
							} );
						} );

						if ( minMatch < loopMatch ) {
							minMatch = loopMatch;
							variationImageID = currentVariation.image_id;
						}
					}

					if ( variationImageID ) {
						mainSlider.$wrapperEl.find( '.swiper-slide' ).each( function( index ) {
							var slideImageID = $( this ).attr( 'data-image-id' );
							slideImageID = parseInt( slideImageID );

							if ( slideImageID === variationImageID ) {
								mainSlider.slideTo( index );

								return false;
							}
						} );
					} else {
						needReset = true;
					}
				} else {
					needReset = true;
				}

				// Reset to main image.
				if ( needReset ) {
					var $mainImage = mainSlider.$wrapperEl.find( '.product-main-image' );
					var index = $mainImage.index();
					mainSlider.slideTo( index );
				}
			} );
		}

		function initSingleStickyAddToCartForm() {
			if ( '1' !== $minimogProductSingle.singleProductStickyBar ) {
				return;
			}

			var $stickyBar = $( '#sticky-product-bar' );

			if ( 0 >= $stickyBar.length ) {
				return;
			}

			$stickyBar.on( 'click', '.sticky-product-bar-close', function( e ) {
				$stickyBar.addClass( 'hide' );
			} );

			var $addToCartBtn = $( '.entry-product form.cart' ).find( '.single_add_to_cart_button' );
			var offsetTop = $addToCartBtn.offset().top;
			var ACTIVE_CLASS = 'showing';

			$( window ).on( 'scroll', function() {
				var st = $( this ).scrollTop();

				if ( st > offsetTop ) {
					$stickyBar.addClass( ACTIVE_CLASS );
				} else {
					$stickyBar.removeClass( ACTIVE_CLASS );
				}
			} );
		}

		function commentAttachmentUploadHandler() {
			var $commentForm = $( '#commentform' );

			$commentForm.on( 'click', '.comment-form__attachment-button', function() {
				var $attachmentButton = $( this ).closest( '.comment-form' ).find( '.comment-form-attachment__input' );
				$attachmentButton.trigger( 'click' );
			} );

			$commentForm.on( 'change', '.comment-form-attachment__input', function( evt ) {
				var $attachmentButton = $( this ).closest( '.comment-form' ).find( '.comment-form__attachment-button' );

				var fileName = '';

				if ( this.files && this.files.length > 1 ) {
					fileName = $minimogProductSingle.i18n.filesSelected.replace( '{count}', this.files.length );
				} else {
					fileName = evt.target.value.split( '\\' ).pop();
				}

				$attachmentButton.find( '.button-text' ).text( fileName );
			} );
		}

		function commentAttachmentGalleryInit() {
			var _download   = $minimog.light_gallery_download === '1',
			    _autoPlay   = $minimog.light_gallery_auto_play === '1',
			    _zoom       = $minimog.light_gallery_zoom === '1',
			    _fullScreen = $minimog.light_gallery_full_screen === '1',
			    _share      = $minimog.light_gallery_share === '1',
			    _thumbnail  = $minimog.light_gallery_thumbnail === '1';

			var options = {
				selector: 'a',
				mode: 'lg-fade',
				thumbnail: _thumbnail,
				download: _download,
				autoplay: _autoPlay,
				zoom: _zoom,
				share: _share,
				fullScreen: _fullScreen,
				hash: false,
				animateThumb: false,
				showThumbByDefault: false,
				getCaptionFromTitleOrAlt: false
			};

			$( '.dco-attachment-gallery' ).each( function() {
				$( this ).lightGallery( options );
			} );
		}

		function commentTextCollapsible() {
			var $readmore = $( '.js-text-collapsible' );
			var $tabPanel = $readmore.closest( '.minimog-tabs' );

			new Readmore( $readmore, {
				moreLink: '<a href="#" class="btn btn-flat btn-small">' + $minimogProductSingle.i18n.readMore + '</a>',
				lessLink: '<a href="#" class="btn btn-flat btn-small">' + $minimogProductSingle.i18n.readLess + '</a>',
				afterToggle: function( trigger, element, expanded ) {
					if ( $tabPanel.length > 0 ) {
						$tabPanel.MinimogTabPanel( 'updateLayout' );
					}
				}
			} );
		}

		function setProductViewed() {
			if ( 'product' !== $minimog.postType ) {
				return;
			}

			var pid = $minimog.postID;

			var cookieName = 'recent_viewed_products';
			var oldIDs = Helpers.getCookie( cookieName );
			var viewedStr = pid;

			if ( oldIDs !== '' ) {
				var viewed = oldIDs.split( ',' );

				for ( var i = 0; i < viewed.length; i ++ ) {
					while ( viewed[ i ] == pid ) {
						viewed.splice( i, 1 );
					}
				}

				viewed.unshift( pid );

				// Store max 20 items.
				if ( viewed.length > 20 ) {
					viewed.slice( 1, 20 );
				}

				viewedStr = viewed.join();
			}

			Helpers.setCookie( cookieName, viewedStr, 7 );
		}

		/**
		 * We dequeue plugin script
		 * So we need add some needed functions back.
		 */
		function reAddWCFunctions() {
			$body.on( 'click', 'a.woocommerce-review-link', function() { // Review link.
				var $reviewTab = $( '.tab-title.reviews_tab' );
				$reviewTab.trigger( 'click' );
				//return true;
			} ).on( 'init', '#rating', function() { // Star ratings for comments.
				$( '#rating' )
					.hide()
					.before(
						'<p class="stars">\
							<span>\
								<a class="star-1" href="#">1</a>\
								<a class="star-2" href="#">2</a>\
								<a class="star-3" href="#">3</a>\
								<a class="star-4" href="#">4</a>\
								<a class="star-5" href="#">5</a>\
							</span>\
						</p>'
					);
			} ).on( 'click', '#respond p.stars a', function() {
				var $star      = $( this ),
				    $rating    = $( this ).closest( '#respond' ).find( '#rating' ),
				    $container = $( this ).closest( '.stars' );

				$rating.val( $star.text() );
				$star.siblings( 'a' ).removeClass( 'active' );
				$star.addClass( 'active' );
				$container.addClass( 'selected' );

				return false;
			} ).on( 'click', '#respond #submit', function() {
				var $rating = $( this ).closest( '#respond' ).find( '#rating' ),
				    rating  = $rating.val();

				if ( $rating.length > 0 && ! rating && $minimogProductSingle.review_rating_required === 'yes' ) {
					window.alert( $minimogProductSingle.i18n_required_rating_text );

					return false;
				}
			} );

			// Init Star Ratings.
			$( '#rating' ).trigger( 'init' );
		}

	}( jQuery )
);
