<?php
defined( 'ABSPATH' ) || exit;

if ( ! class_exists( 'Minimog_Widgets' ) ) {
	class Minimog_Widgets {

		protected static $instance = null;

		public static function instance() {
			if ( null === self::$instance ) {
				self::$instance = new self();
			}

			return self::$instance;
		}

		function initialize() {
			add_action( 'widgets_init', array(
				$this,
				'register_widgets',
			), 11 );
		}

		public function register_widgets() {
			minimog_require_file_once( MINIMOG_WIDGETS_DIR . '/posts.php' );
			minimog_require_file_once( MINIMOG_WIDGETS_DIR . '/instagram.php' );

			register_widget( 'Minimog_WP_Widget_Posts' );
			register_widget( 'Minimog_WP_Widget_Instagram' );

			if ( Minimog_Woo::instance()->is_activated() ) {
				minimog_require_file_once( MINIMOG_WIDGETS_DIR . '/class-wc-widget-base.php' );
				minimog_require_file_once( MINIMOG_WIDGETS_DIR . '/product-badge.php' );
				minimog_require_file_once( MINIMOG_WIDGETS_DIR . '/product-banner.php' );
				minimog_require_file_once( MINIMOG_WIDGETS_DIR . '/product-categories-nav.php' );
				minimog_require_file_once( MINIMOG_WIDGETS_DIR . '/product-tags-nav.php' );
				minimog_require_file_once( MINIMOG_WIDGETS_DIR . '/product-sorting.php' );
				minimog_require_file_once( MINIMOG_WIDGETS_DIR . '/product-price-filter.php' );
				minimog_require_file_once( MINIMOG_WIDGETS_DIR . '/product-rating-filter.php' );
				minimog_require_file_once( MINIMOG_WIDGETS_DIR . '/product-highlight-filter.php' );
				minimog_require_file_once( MINIMOG_WIDGETS_DIR . '/product-layered-nav.php' );
				minimog_require_file_once( MINIMOG_WIDGETS_DIR . '/products.php' );
				minimog_require_file_once( MINIMOG_WIDGETS_DIR . '/linked-products.php' );

				register_widget( 'Minimog_WP_Widget_Product_Badge' );
				register_widget( 'Minimog_WP_Widget_Product_Banner' );
				register_widget( 'Minimog_WP_Widget_Product_Categories_Layered_Nav' );
				register_widget( 'Minimog_WP_Widget_Product_Tags_Layered_Nav' );
				register_widget( 'Minimog_WP_Widget_Product_Sorting' );
				register_widget( 'Minimog_WP_Widget_Product_Price_Filter' );
				register_widget( 'Minimog_WP_Widget_Product_Rating_Filter' );
				register_widget( 'Minimog_WP_Widget_Product_Highlight_Filter' );
				register_widget( 'Minimog_WP_Widget_Product_Layered_Nav' );
				register_widget( 'Minimog_WP_Widget_Products' );
				register_widget( 'Minimog_WP_Widget_Linked_Products' );

				if ( class_exists( 'Insight_Product_Brands' ) ) {
					minimog_require_file_once( MINIMOG_WIDGETS_DIR . '/product-brand-nav.php' );
					register_widget( 'Minimog_WP_Widget_Product_Brand_Nav' );
				}
			}
		}
	}

	Minimog_Widgets::instance()->initialize();
}
