<?php
Redux::set_section( Minimog_Redux::OPTION_NAME, array(
	'title'      => esc_html__( 'General', 'minimog' ),
	'id'         => 'header_general',
	'subsection' => true,
	'fields'     => array(
		array(
			'id'       => 'header_general_settings',
			'type'     => 'tm_heading',
			'title'    => esc_html__( 'General', 'minimog' ),
			'indent'   => true,
		),
		array(
			'id'      => 'global_header',
			'type'    => 'select',
			'title'   => esc_html__( 'Global Header Style', 'minimog' ),
			'default' => Minimog_Redux::get_default_setting( 'global_header' ),
			'options' => Minimog_Header::instance()->get_list(),
		),
		array(
			'id'      => 'global_header_overlay',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Global Header Overlay', 'minimog' ),
			'options' => array(
				'0' => esc_html__( 'No', 'minimog' ),
				'1' => esc_html__( 'Yes', 'minimog' ),
			),
			'default' => Minimog_Redux::get_default_setting( 'global_header_overlay' ),
		),
		array(
			'id'      => 'global_header_skin',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Global Header Skin', 'minimog' ),
			'options' => array(
				'dark'  => esc_html__( 'Dark', 'minimog' ),
				'light' => esc_html__( 'Light', 'minimog' ),
			),
			'default' => Minimog_Redux::get_default_setting( 'global_header_skin' ),
		),
		array(
			'id'      => 'header_text',
			'type'    => 'textarea',
			'title'   => esc_html__( 'Text', 'minimog' ),
			'default' => 'Open Doors To A World Of Fashion<span class="separator"></span><a href="#">Discover More</a>',
		),
		array(
			'id'           => 'header_info_list_secondary',
			'type'         => 'repeater',
			'title'        => esc_html__( 'Info List (Secondary)', 'minimog' ),
			'item_name'    => esc_html__( 'Item', 'minimog' ),
			'bind_title'   => 'text',
			'group_values' => true,
			'fields'       => array(
				array(
					'id'    => 'text',
					'type'  => 'textarea',
					'title' => esc_html__( 'Text', 'minimog' ),
				),
				array(
					'id'    => 'url',
					'type'  => 'text',
					'title' => esc_html__( 'Link Url', 'minimog' ),
				),
				array(
					'id'    => 'icon_class',
					'title' => esc_html__( 'Icon CSS class', 'minimog' ),
					'type'  => 'text',
				),
			),
			'default'      => [
				'Redux_repeater_data' => [
					[
						'title' => '',
					],
				],
				'text'                => [
					'Find a Store',
				],
				'url'                 => [
					'#',
				],
				'icon_class'          => [
					'fas fa-map-marker-alt',
				],
			],
		),
		array(
			'id'    => 'header_button_text',
			'type'  => 'text',
			'title' => esc_html__( 'Button Text', 'minimog' ),
		),
		array(
			'id'    => 'header_button_link',
			'type'  => 'text',
			'title' => esc_html__( 'Button Link', 'minimog' ),
		),
		array(
			'id'    => 'header_button_link_rel',
			'type'  => 'text',
			'title' => esc_html__( 'Button Link Relationship (XFN)', 'minimog' ),
		),
		array(
			'id'      => 'header_button_link_target',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Open link in a new tab.', 'minimog' ),
			'options' => [
				'0' => esc_html__( 'No', 'minimog' ),
				'1' => esc_html__( 'Yes', 'minimog' ),
			],
			'default' => '0',
		),
		array(
			'id'             => 'header_height',
			'type'           => 'dimensions',
			'units'          => array( 'px', ),
			'units_extended' => false,
			'title'          => esc_html__( 'Header Min Height', 'minimog' ),
			'subtitle'       => esc_html__( 'Control min height of header in desktop device.', 'minimog' ),
			'width'          => false,
		),
		/*array(
			'id'                => 'header_typography',
			'type'              => 'typography',
			'title'             => esc_html__( 'Header Above Typography', 'minimog' ),
			'google'            => true,
			'font_family_clear' => true,
			'output'            => [
				'.page-header .header-above',
			],
			'letter-spacing'    => true,
			'text-transform'    => true,
			'text-align'        => false,
			'preview'           => false,
			'color'             => false,
		),*/
		array(
			'id'                => 'header_style_navigation_typography',
			'type'              => 'typography',
			'title'             => esc_html__( 'Navigation Typography', 'minimog' ),
			'google'            => true,
			'font_family_clear' => true,
			'default'           => Minimog_Redux::get_default_setting( 'header_style_navigation_typography' ),
			'output'            => [
				'.page-header .menu--primary > ul > li > a',
				'.header-icon .text',
				'.header-categories-nav .nav-toggle-btn',
			],
			'letter-spacing'    => true,
			'text-transform'    => true,
			'text-align'        => false,
			'preview'           => false,
			'color'             => false,
		),
		array(
			'id'      => 'header_search_form_style',
			'type'    => 'select',
			'title'   => esc_html__( 'Search Form Style', 'minimog' ),
			'options' => [
				'normal'            => esc_html__( 'Default', 'minimog' ),
				'button-fill'       => esc_html__( 'Submit Button Fill', 'minimog' ),
				'thick-bottom-line' => esc_html__( 'Thick Bottom Line', 'minimog' ),
				'thick-border'      => esc_html__( 'Thick Border', 'minimog' ),
			],
			'default' => 'normal',
		),

		array(
			'id'     => 'section_start_header_dark_skin',
			'type'   => 'tm_heading',
			'title'  => esc_html__( 'Header Dark Version', 'minimog' ),
			'indent' => true,
		),
		array(
			'id'      => 'header_style_dark_background',
			'title'   => esc_html__( 'Background', 'minimog' ),
			'type'    => 'background',
			'output'  => array(
				'background-color' => '.page-header.header-dark .page-header-inner',
			),
			'default' => array(
				'background-color' => '#fff',
			),
		),
		array(
			'id'       => 'header_style_dark_box_shadow',
			'type'     => 'box_shadow',
			'output'   => array( '.page-header.header-dark .page-header-inner' ),
			'title'    => esc_html__( 'Box Shadow', 'minimog' ),
			'subtitle' => esc_html__( 'Input box shadow for header', 'minimog' ),
			'class'    => 'field-header-shadow',
			'default'  => [
				'inset'        => false,
				'drop'         => true,
				'inset-shadow' => array(
					'checked'    => false,
					'color'      => '#ABABAB',
					'horizontal' => 0,
					'vertical'   => 0,
					'blur'       => 10,
					'spread'     => 0,
				),
				'drop-shadow'  => array(
					'checked'    => false,
					'color'      => 'rgba(0, 0, 0, 0.03)',
					'horizontal' => 0,
					'vertical'   => 4,
					'blur'       => 4,
					'spread'     => 0,
				),
			],
		),
		array(
			'id'          => 'header_style_dark_text_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Text Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-text-color' => '.page-header.header-dark',
			],
		),
		array(
			'id'          => 'header_style_dark_link_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Link Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-link-color' => '.page-header.header-dark',
			],
		),
		array(
			'id'          => 'header_style_dark_link_hover_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Link Hover Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-link-hover-color' => '.page-header.header-dark',
			],
		),
		array(
			'id'          => 'header_style_dark_nav_link_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Nav Link Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-nav-link-color' => '.page-header.header-dark',
			],
		),
		array(
			'id'          => 'header_style_dark_nav_link_hover_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Nav Link Hover Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-nav-link-hover-color' => '.page-header.header-dark',
			],
		),
		array(
			'id'          => 'header_style_dark_nav_line_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Nav Line Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--nav-item-hover-line-color' => '.page-header.header-dark',
			],
		),
		array(
			'id'          => 'header_style_dark_icon_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Icon Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-icon-color' => '.page-header.header-dark',
			],
		),
		array(
			'id'          => 'header_style_dark_icon_hover_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Icon Hover Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-icon-hover-color' => '.page-header.header-dark',
			],
		),
		array(
			'id'          => 'header_style_dark_icon_badge_text_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Icon Badge Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-icon-badge-text-color' => '.page-header.header-dark',
			],
		),
		array(
			'id'          => 'header_style_dark_icon_badge_background_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Icon Badge Background', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-icon-badge-background-color' => '.page-header.header-dark',
			],
		),
		array(
			'id'          => 'header_style_dark_tag_text_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Tag Text Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-tag-color' => '.page-header.header-dark',
			],
		),
		array(
			'id'          => 'header_style_dark_tag_bg_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Tag Background Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-tag-background' => '.page-header.header-dark',
			],
		),
		array(
			'id'     => 'header_above_style_dark_background',
			'title'  => esc_html__( 'Header Above Background', 'minimog' ),
			'type'   => 'background',
			'output' => array(
				'background-color' => '.page-header.header-dark .header-above',
			),
		),
		array(
			'id'          => 'header_above_style_dark_border_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Header Above Border Bottom Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'border-color' => '.page-header.header-dark .header-above',
			],
		),
		array(
			'id'          => 'header_above_style_dark_item_separator_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Header Above Item Separator Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-item-separator-color' => '.page-header.header-dark .header-above',
			],
		),
		array(
			'id'          => 'header_above_style_dark_text_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Header Above Text Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-text-color' => '.page-header.header-dark .header-above',
			],
		),
		array(
			'id'          => 'header_above_style_dark_link_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Header Above Link Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-link-color' => '.page-header.header-dark .header-above',
			],
		),
		array(
			'id'          => 'header_above_style_dark_link_hover_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Header Above Link Hover Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-link-hover-color' => '.page-header.header-dark .header-above',
			],
		),
		array(
			'id'     => 'header_below_style_dark_border',
			'type'   => 'border',
			'title'  => esc_html__( 'Header Below Border', 'minimog' ),
			'output' => array( '.header-below' ),
		),
		array(
			'id'     => 'header_below_style_dark_inner_border',
			'type'   => 'border',
			'title'  => esc_html__( 'Header Below Inner Border', 'minimog' ),
			'output' => array( '.header-below-wrap' ),
		),

		// Light Version.
		array(
			'id'     => 'section_start_header_01_light_skin',
			'type'   => 'tm_heading',
			'title'  => esc_html__( 'Header Light Version', 'minimog' ),
			'indent' => true,
		),
		array(
			'id'     => 'header_style_light_background',
			'title'  => esc_html__( 'Background', 'minimog' ),
			'type'   => 'background',
			'output' => array(
				'background-color' => '.page-header.header-light .page-header-inner',
			),
		),
		array(
			'id'       => 'header_style_light_box_shadow',
			'type'     => 'box_shadow',
			'output'   => array( '.page-header.header-light .page-header-inner' ),
			'title'    => esc_html__( 'Box Shadow', 'minimog' ),
			'subtitle' => esc_html__( 'Input box shadow for header', 'minimog' ),
			'class'    => 'field-header-shadow',
			'default'  => [
				'inset'        => false,
				'drop'         => false,
				'inset-shadow' => array(
					'checked'    => false,
					'color'      => '#ABABAB',
					'horizontal' => 0,
					'vertical'   => 0,
					'blur'       => 10,
					'spread'     => 0,
				),
				'drop-shadow'  => array(
					'checked'    => false,
					'color'      => 'rgba(0, 0, 0, 0.03)',
					'horizontal' => 0,
					'vertical'   => 4,
					'blur'       => 4,
					'spread'     => 0,
				),
			],
		),
		array(
			'id'          => 'header_style_light_text_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Text Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-text-color' => '.page-header:not(.header-pinned).header-light',
			],
		),
		array(
			'id'          => 'header_style_light_link_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Link Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-link-color' => '.page-header:not(.header-pinned).header-light',
			],
		),
		array(
			'id'          => 'header_style_light_link_hover_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Link Hover Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-link-hover-color' => '.page-header:not(.header-pinned).header-light',
			],
		),
		array(
			'id'          => 'header_style_light_nav_link_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Nav Link Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-nav-link-color' => '.page-header:not(.header-pinned).header-light',
			],
		),
		array(
			'id'          => 'header_style_light_nav_link_hover_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Nav Link Hover Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-nav-link-hover-color' => '.page-header:not(.header-pinned).header-light',
			],
		),
		array(
			'id'          => 'header_style_light_nav_line_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Nav Line Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--nav-item-hover-line-color' => '.page-header:not(.header-pinned).header-light',
			],
		),
		array(
			'id'          => 'header_style_light_icon_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Icon Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-icon-color' => '.page-header:not(.header-pinned).header-light',
			],
		),
		array(
			'id'          => 'header_style_light_icon_hover_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Icon Hover Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-icon-hover-color' => '.page-header:not(.header-pinned).header-light',
			],
		),
		array(
			'id'          => 'header_style_light_icon_badge_text_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Icon Badge Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-icon-badge-text-color' => '.page-header:not(.header-pinned).header-light',
			],
		),
		array(
			'id'          => 'header_style_light_icon_badge_background_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Icon Badge Background', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-icon-badge-background-color' => '.page-header:not(.header-pinned).header-light',
			],
		),
		array(
			'id'          => 'header_style_light_tag_text_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Tag Text Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-tag-color' => '.page-header:not(.header-pinned).header-light',
			],
		),
		array(
			'id'          => 'header_style_light_tag_bg_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Tag Background Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--header-tag-background' => '.page-header:not(.header-pinned).header-light',
			],
		),
		array(
			'id'     => 'header_below_style_light_border',
			'type'   => 'border',
			'title'  => esc_html__( 'Header Below Border', 'minimog' ),
			'output' => array( '.page-header:not(.header-pinned).header-light .header-below' ),
		),
		array(
			'id'     => 'header_below_style_light_inner_border',
			'type'   => 'border',
			'title'  => esc_html__( 'Header Below Inner Border', 'minimog' ),
			'output' => array( '.page-header:not(.header-pinned).header-light .header-below-wrap' ),
		),
	),
) );
