<?php
Redux::set_section( Minimog_Redux::OPTION_NAME, array(
	'title'       => esc_html__( 'Popup', 'minimog' ),
	'description' => esc_html__( 'Create coupon or newsletter popup to interact with your customer.', 'minimog' ),
	'id'          => 'panel_popup',
	'icon'        => 'eicon-upload-circle-o',
	'fields'      => array(
		array(
			'id'      => 'promo_popup_enable',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Visibility', 'minimog' ),
			'options' => array(
				'0' => esc_html__( 'Hide', 'minimog' ),
				'1' => esc_html__( 'Show', 'minimog' ),
			),
			'default' => '1',
		),
		array(
			'id'          => 'promo_popup_type',
			'type'        => 'select',
			'title'       => esc_html__( 'Popup Type', 'minimog' ),
			'description' => esc_html__( 'Choose goal for your promo popup', 'minimog' ),
			'options'     => [
				'subscribe'     => esc_html__( 'Subscribe', 'minimog' ),
				'discount_code' => esc_html__( 'Give a discount code', 'minimog' ),
				'announcement'  => esc_html__( 'Announcement', 'minimog' ),
			],
			'default'     => 'subscribe',
		),
		array(
			'id'          => 'promo_popup_form_id',
			'type'        => 'select',
			'title'       => esc_html__( 'Form ID', 'minimog' ),
			'description' => esc_html__( 'Select a form by WPForms to display', 'minimog' ),
			'options'     => Minimog_Helper::get_wpforms_list(),
			'default'     => '',
			'required'    => array(
				[ 'promo_popup_type', '=', 'subscribe' ],
			),
		),
		array(
			'id'    => 'promo_popup_discount_code',
			'type'  => 'text',
			'title' => esc_html__( 'Discount Code', 'minimog' ),
			[ 'promo_popup_type', '=', 'discount_code' ],
		),
		array(
			'id'      => 'promo_popup_style',
			'type'    => 'select',
			'title'   => esc_html__( 'Style', 'minimog' ),
			'options' => [
				'01' => sprintf( esc_html__( 'Style %s', 'minimog' ), '01' ),
				'02' => sprintf( esc_html__( 'Style %s', 'minimog' ), '02' ),
				'03' => sprintf( esc_html__( 'Style %s', 'minimog' ), '03' ),
			],
			'default' => '01',
		),
		array(
			'id'      => 'promo_popup_heading',
			'type'    => 'textarea',
			'title'   => esc_html__( 'Heading', 'minimog' ),
			'default' => esc_html__( 'Don’t Want To Miss Anything?', 'minimog' ),
		),
		array(
			'id'      => 'promo_popup_description',
			'type'    => 'textarea',
			'title'   => esc_html__( 'Description', 'minimog' ),
			'default' => esc_html__( 'Be the first to see new arrivals, exclusive ideals and much more', 'minimog' ),
		),
		array(
			'id'      => 'promo_popup_image',
			'type'    => 'media',
			'title'   => esc_html__( 'Image', 'minimog' ),
			'default' => array(
				'url' => MINIMOG_THEME_IMAGE_URI . '/promo-popup-image.jpg',
			),
		),
		array(
			'id'       => 'promo_popup_button_style',
			'type'     => 'select',
			'title'    => esc_html__( 'Button Style', 'minimog' ),
			'options'  => Minimog_Helper::get_button_style_options(),
			'default'  => 'flat',
			'required' => array(
				[ 'promo_popup_type', '=', 'announcement' ],
			),
		),
		array(
			'id'       => 'promo_popup_button_text',
			'type'     => 'text',
			'title'    => esc_html__( 'Button Text', 'minimog' ),
			'default'  => esc_html__( 'Get It Now', 'minimog' ),
			'required' => array(
				[ 'promo_popup_type', '=', 'announcement' ],
			),
		),
		array(
			'id'       => 'promo_popup_button_url',
			'type'     => 'text',
			'title'    => esc_html__( 'Button Url', 'minimog' ),
			'default'  => '#',
			'required' => array(
				[ 'promo_popup_type', '=', 'announcement' ],
			),
		),
	),
) );
