<?php
Redux::set_section( Minimog_Redux::OPTION_NAME, array(
	'title'  => esc_html__( 'Pre Loader', 'minimog' ),
	'id'     => 'panel_pre_loader',
	'icon'   => 'eicon-loading',
	'fields' => array(
		array(
			'id'      => 'pre_loader_enable',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Pre Loader', 'minimog' ),
			'options' => array(
				'0' => esc_html__( 'Hide', 'minimog' ),
				'1' => esc_html__( 'Show', 'minimog' ),
			),
			'default' => '0',
		),
		array(
			'id'      => 'pre_loader_style',
			'type'    => 'select',
			'title'   => esc_html__( 'Style', 'minimog' ),
			'options' => [
				'rotating-plane' => esc_attr__( 'Rotating Plane', 'minimog' ),
				'circle'         => esc_attr__( 'Circle', 'minimog' ),
				'gif-image'      => esc_attr__( 'Gif Image', 'minimog' ),
			],
			'default' => 'gif-image',
		),
		array(
			'id'          => 'pre_loader_background_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Background Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'background-color' => '.page-loading',
			],
		),
		array(
			'id'          => 'pre_loader_shape_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Shape Color', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'--preloader-color' => '.page-loading',
			],
			'required'    => array(
				[ 'pre_loader_style', '!=', 'gif-image' ],
			),
		),
		array(
			'id'       => 'pre_loader_image',
			'type'     => 'media',
			'title'    => esc_html__( 'Gif Image', 'minimog' ),
			'default'  => array(
				'url' => MINIMOG_THEME_IMAGE_URI . '/main-preloader.gif',
			),
			'required' => array(
				[ 'pre_loader_style', '=', 'gif-image' ],
			),
		),
		array(
			'id'             => 'pre_loader_image_width',
			'type'           => 'dimensions',
			'units'          => array( 'em', 'px', '%' ),
			'units_extended' => 'true',
			'title'          => esc_html__( 'Image Width', 'minimog' ),
			'default'        => array(
				'width' => 100,
				'units' => 'px',
			),
			'height'         => false,
			'output'         => [ '.minimog-pre-loader-gif-img' ],
			'required'       => array(
				[ 'pre_loader_style', '=', 'gif-image' ],
			),
		),
	),
) );
