<?php
Redux::set_section( Minimog_Redux::OPTION_NAME, array(
	'title'      => esc_html__( 'Cart', 'minimog' ),
	'id'         => 'cart_page',
	'subsection' => true,
	'fields'     => array(
		array(
			'id'          => 'shopping_cart_countdown_enable',
			'type'        => 'button_set',
			'title'       => esc_html__( 'Countdown Timer', 'minimog' ),
			'description' => esc_html__( 'Show countdown timer as soon as any product has been added to the cart. This can help your store make those product sales quicker.', 'minimog' ),
			'options'     => array(
				'0' => esc_html__( 'Hide', 'minimog' ),
				'1' => esc_html__( 'Show', 'minimog' ),
			),
			'default'     => Minimog_Redux::get_default_setting( 'shopping_cart_countdown_enable' ),
		),
		array(
			'id'      => 'shopping_cart_countdown_loop_enable',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Countdown Loop', 'minimog' ),
			'options' => array(
				'0' => esc_html__( 'No', 'minimog' ),
				'1' => esc_html__( 'Yes', 'minimog' ),
			),
			'default' => Minimog_Redux::get_default_setting( 'shopping_cart_countdown_loop_enable' ),
		),
		array(
			'id'            => 'shopping_cart_countdown_length',
			'title'         => esc_html__( 'Countdown Length', 'minimog' ),
			'type'          => 'slider',
			'default'       => Minimog_Redux::get_default_setting( 'shopping_cart_countdown_length' ),
			'description'   => esc_html__( 'Countdown length in minute(s)', 'minimog' ),
			'min'           => 0,
			'max'           => 400,
			'step'          => 1,
			'display_value' => 'text',
			'required'      => array(
				[ 'shopping_cart_countdown_enable', '=', '1' ],
			),
		),
		array(
			'id'          => 'shopping_cart_countdown_message',
			'type'        => 'textarea',
			'title'       => esc_html__( 'Countdown Message', 'minimog' ),
			'default'     => esc_html__( '🔥 These products are limited, checkout within {timer}', 'minimog' ),
			'description' => esc_html__( '{timer} will replace countdown timer.', 'minimog' ),
			'required'    => array(
				[ 'shopping_cart_countdown_enable', '=', '1' ],
			),
		),
		array(
			'id'       => 'shopping_cart_countdown_expired_message',
			'type'     => 'textarea',
			'title'    => esc_html__( 'Countdown Expired Message', 'minimog' ),
			'default'  => esc_html__( 'You\'re out of time! Checkout now to avoid losing your order!', 'minimog' ),
			'required' => array(
				[ 'shopping_cart_countdown_enable', '=', '1' ],
			),
		),
		array(
			'id'          => 'shopping_cart_cross_sells_enable',
			'type'        => 'button_set',
			'title'       => esc_html__( 'Cross-sells products', 'minimog' ),
			'description' => esc_html__( 'Turn on to display the cross-sells products section. This is helpful if you have dozens of products with cross-sells and you don\'t want to go and edit each single page.', 'minimog' ),
			'options'     => array(
				'0' => esc_html__( 'Hide', 'minimog' ),
				'1' => esc_html__( 'Show', 'minimog' ),
			),
			'default'     => '1',
		),
	),
) );
