<?php
$shop_badge_days_options = [
	'1',
	'2',
	'3',
	'4',
	'5',
	'6',
	'7',
	'8',
	'9',
	'10',
	'15',
	'20',
	'25',
	'30',
	'60',
	'90',
];

$day_options = [];

foreach ( $shop_badge_days_options as $day ) {
	$day_options[ $day ] = esc_html( sprintf( _n( '%s day', '%s days', $day, 'minimog' ), $day ) );
}

Redux::set_section( Minimog_Redux::OPTION_NAME, array(
	'title'      => esc_html__( 'General Settings', 'minimog' ),
	'id'         => 'shop_general',
	'subsection' => true,
	'fields'     => array(
		array(
			'id'      => 'shop_badges_style',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Badges Style', 'minimog' ),
			'options' => array(
				'label'        => esc_html__( 'Rounded Label', 'minimog' ),
				'square-label' => esc_html__( 'Square Label', 'minimog' ),
			),
			'default' => Minimog_Redux::get_default_setting( 'shop_badges_style' ),
		),
		array(
			'id'          => 'shop_badge_sale',
			'type'        => 'button_set',
			'title'       => esc_html__( 'Sale Badge', 'minimog' ),
			'description' => esc_html__( 'Show a "sale" or "sale percent" label when product on sale.', 'minimog' ),
			'options'     => array(
				'0' => esc_html__( 'Hide', 'minimog' ),
				'1' => esc_html__( 'Show', 'minimog' ),
			),
			'default'     => '1',
		),
		array(
			'id'          => 'shop_badge_new',
			'type'        => 'button_set',
			'title'       => esc_html__( 'New Badge', 'minimog' ),
			'description' => esc_html__( 'If the product was published within the newness time frame display the new badge.', 'minimog' ),
			'options'     => array(
				'0' => esc_html__( 'Hide', 'minimog' ),
				'1' => esc_html__( 'Show', 'minimog' ),
			),
			'default'     => '1',
		),
		array(
			'id'      => 'shop_badge_new_range',
			'type'    => 'select',
			'title'   => esc_html__( 'New Arrivals Range', 'minimog' ),
			'options' => $day_options,
			'default' => '7',
		),
		array(
			'id'          => 'shop_badge_hot',
			'type'        => 'button_set',
			'title'       => esc_html__( 'Hot Badge', 'minimog' ),
			'description' => esc_html__( 'Show a "hot" label when product set featured.', 'minimog' ),
			'options'     => array(
				'0' => esc_html__( 'Hide', 'minimog' ),
				'1' => esc_html__( 'Show', 'minimog' ),
			),
			'default'     => '0',
		),
		array(
			'id'          => 'shop_badge_best_selling',
			'type'        => 'button_set',
			'title'       => esc_html__( 'Best Seller Badge', 'minimog' ),
			'description' => esc_html__( 'Show a "Best Seller" label when product in of best selling list.', 'minimog' ),
			'options'     => array(
				'0' => esc_html__( 'Hide', 'minimog' ),
				'1' => esc_html__( 'Show', 'minimog' ),
			),
			'default'     => '0',
		),
		array(
			'id'            => 'shop_best_selling_list_number',
			'title'         => esc_html__( 'Best Selling Number Items', 'minimog' ),
			'description'   => esc_html__( 'How many max of products do you want to add to best selling list', 'minimog' ),
			'type'          => 'slider',
			'default'       => 10,
			'min'           => 1,
			'max'           => 100,
			'step'          => 1,
			'display_value' => 'text',
		),
		array(
			'id'          => 'price_regular_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Regular Price', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'color' => '.price, .amount, .tr-price, .woosw-content-item--price',
			],
		),
		array(
			'id'          => 'price_old_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Old Price', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'color' => '.price del, del .amount, .tr-price del, .woosw-content-item--price del',
			],
		),
		array(
			'id'          => 'price_sale_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Sale Price', 'minimog' ),
			'color_alpha' => true,
			'output'      => [
				'color' => 'ins .amount, .product.sale ins, .product.sale ins .amount, .single-product .product.sale .entry-summary > .price ins .amount',
			],
		),
	),
) );
