<?php
Redux::set_section( Minimog_Redux::OPTION_NAME, array(
	'title'      => esc_html__( 'Colors', 'minimog' ),
	'id'         => 'color',
	'subsection' => true,
	'fields'     => array(
		array(
			'id'       => 'general_colors',
			'type'     => 'tm_heading',
			'title'    => esc_html__( 'General Colors', 'minimog' ),
			'indent'   => true,
			'collapse' => 'show',
		),
		array(
			'id'          => 'primary_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Primary Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'primary_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'secondary_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Secondary Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'secondary_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'link_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Link Color', 'minimog' ),
			'color_alpha' => true,
			'default'     => Minimog_Redux::get_default_setting( 'link_color' ),
		),
		array(
			'id'          => 'link_hover_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Link Hover Color', 'minimog' ),
			'color_alpha' => true,
			'default'     => Minimog_Redux::get_default_setting( 'link_hover_color' ),
		),
		array(
			'id'          => 'body_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Text Color', 'minimog' ),
			'color_alpha' => true,
			'default'     => Minimog_Redux::get_default_setting( 'body_color' ),
		),
		array(
			'id'          => 'body_lighten_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Text Lighten Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'body_lighten_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'heading_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Heading Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'heading_color' ),
			'color_alpha' => true,
		),
		array(
			'id'     => 'button_colors_hr',
			'type'   => 'tm_heading',
			'title'  => esc_html__( 'Button Normal Colors', 'minimog' ),
			'indent' => true,
		),
		array(
			'id'          => 'button_text_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Text Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'button_text_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'button_background_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Background Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'button_background_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'button_border_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Border Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'button_border_color' ),
			'color_alpha' => true,
		),
		array(
			'id'     => 'section-end',
			'type'   => 'section',
			'indent' => false,
		),
		array(
			'id'     => 'button_hover_colors_hr',
			'type'   => 'tm_heading',
			'title'  => esc_html__( 'Button Hover Colors', 'minimog' ),
			'indent' => true,
		),
		array(
			'id'          => 'button_hover_text_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Text Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'button_hover_text_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'button_hover_background_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Background Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'button_hover_background_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'button_hover_border_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Border Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'button_hover_border_color' ),
			'color_alpha' => true,
		),
		array(
			'id'     => 'section-end',
			'type'   => 'section',
			'indent' => false,
		),

		array(
			'id'     => 'button2_colors_hr',
			'type'   => 'tm_heading',
			'title'  => esc_html__( 'Button Alt Normal Colors', 'minimog' ),
			'indent' => true,
		),
		array(
			'id'          => 'button2_text_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Text Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'button2_text_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'button2_background_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Background Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'button2_background_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'button2_border_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Border Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'button2_border_color' ),
			'color_alpha' => true,
		),
		array(
			'id'     => 'section-end',
			'type'   => 'section',
			'indent' => false,
		),
		array(
			'id'     => 'button2_hover_colors_hr',
			'type'   => 'tm_heading',
			'title'  => esc_html__( 'Button Alt Hover Colors', 'minimog' ),
			'indent' => true,
		),
		array(
			'id'          => 'button2_hover_text_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Text Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'button2_hover_text_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'button2_hover_background_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Background Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'button2_hover_background_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'button2_hover_border_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Border Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'button2_hover_border_color' ),
			'color_alpha' => true,
		),
		array(
			'id'     => 'section-end',
			'type'   => 'section',
			'indent' => false,
		),

		array(
			'id'     => 'form_colors_hr',
			'type'   => 'tm_heading',
			'title'  => esc_html__( 'Form Normal Colors', 'minimog' ),
			'indent' => true,
		),
		array(
			'id'          => 'form_text_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Text Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'form_text_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'form_background_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Background Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'form_background_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'form_border_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Border Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'form_border_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'form_box_shadow',
			'type'        => 'textarea',
			'title'       => esc_html__( 'Box Shadow', 'minimog' ),
			'description' => esc_html__( 'Input valid box shadow. For e.g: 0 0 5px #ccc', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'form_box_shadow' ),
		),
		array(
			'id'     => 'section-end',
			'type'   => 'section',
			'indent' => false,
		),
		array(
			'id'     => 'form_focus_colors_hr',
			'type'   => 'tm_heading',
			'title'  => esc_html__( 'Form Focus Colors', 'minimog' ),
			'indent' => true,
		),
		array(
			'id'          => 'form_focus_text_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Text Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'form_focus_text_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'form_focus_background_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Background Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'form_focus_background_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'form_focus_border_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Border Color', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'form_focus_border_color' ),
			'color_alpha' => true,
		),
		array(
			'id'          => 'form_focus_box_shadow',
			'type'        => 'textarea',
			'title'       => esc_html__( 'Box Shadow', 'minimog' ),
			'description' => esc_html__( 'Input valid box shadow. For e.g: 0 0 5px #ccc', 'minimog' ),
			'default'     => Minimog_Redux::get_default_setting( 'form_focus_box_shadow' ),
		),
		array(
			'id'     => 'section-end',
			'type'   => 'section',
			'indent' => false,
		),
	),
) );
