<?php
Redux::set_section( Minimog_Redux::OPTION_NAME, array(
	'title'      => esc_html__( 'Minimal 01', 'minimog' ),
	'id'         => 'title_bar_minimal_01',
	'subsection' => true,
	'fields'     => array(
		array(
			'id'             => 'title_bar_minimal_01_margin',
			'type'           => 'spacing',
			'mode'           => 'margin',
			'all'            => false,
			'units'          => array( 'em', 'px', '%' ),
			'units_extended' => true,
			'title'          => esc_html__( 'Margin', 'minimog' ),
			'top'            => false,
			'left'           => false,
			'right'          => false,
			'default'        => array(
				'margin-bottom' => '60',
				'units'         => 'px',
			),
			'output'         => array( '.page-title-bar-minimal-01' ),
		),
		array(
			'id'             => 'title_bar_minimal_01_breadcrumb_padding',
			'type'           => 'spacing',
			'mode'           => 'padding',
			'all'            => false,
			'units'          => 'px',
			'units_extended' => false,
			'title'          => esc_html__( 'Breadcrumb Padding', 'minimog' ),
			'left'           => false,
			'right'          => false,
			'output'         => array( '.page-title-bar-minimal-01 .page-breadcrumb' ),
		),
		array(
			'id'             => 'title_bar_minimal_01_breadcrumb_min_height',
			'type'           => 'dimensions',
			'units'          => 'px',
			'units_extended' => false,
			'title'          => esc_html__( 'Breadcrumb Min Height', 'minimog' ),
			'width'          => false,
			'default'        => array(
				'height' => 100,
			),
		),
		array(
			'id'      => 'title_bar_minimal_01_text_align',
			'type'    => 'select',
			'title'   => esc_html__( 'Text Align', 'minimog' ),
			'options' => [
				'flex-start' => esc_html__( 'Left', 'minimog' ),
				'center'     => esc_html__( 'Center', 'minimog' ),
				'flex-end'   => esc_html__( 'Right', 'minimog' ),
			],
			'default' => 'center',
			'output'  => array(
				'--breadcrumb-align' => '.page-title-bar-minimal-01',
			),
		),
		array(
			'id'     => 'section_start_title_bar_minimal_01_breadcrumb',
			'type'   => 'section',
			'title'  => esc_html__( 'Breadcrumb', 'minimog' ),
			'indent' => true,
		),
		/*array(
			'id'      => 'title_bar_minimal_01_background',
			'title'   => esc_html__( 'Background', 'minimog' ),
			'type'    => 'background',
			'output'  => array(
				'background-color' => '.page-title-bar-minimal-01 .page-breadcrumb',
			),
		),*/
		array(
			'id'          => 'title_bar_minimal_01_breadcrumb_text_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Text Color', 'minimog' ),
			'color_alpha' => false,
			'output'      => [ '.page-title-bar-minimal-01 .insight_core_breadcrumb li' ],
		),
		array(
			'id'          => 'title_bar_minimal_01_breadcrumb_link_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Link Color', 'minimog' ),
			'color_alpha' => false,
			'output'      => [ '.page-title-bar-minimal-01 .insight_core_breadcrumb a' ],
		),
		array(
			'id'          => 'title_bar_minimal_01_breadcrumb_link_hover_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Link Hover Color', 'minimog' ),
			'color_alpha' => false,
			'output'      => [ '.page-title-bar-minimal-01 .insight_core_breadcrumb a:hover' ],
		),
		array(
			'id'          => 'title_bar_minimal_01_breadcrumb_separator_color',
			'type'        => 'color',
			'title'       => esc_html__( 'Separator Color', 'minimog' ),
			'color_alpha' => false,
			'output'      => [ '.page-title-bar-minimal-01 .insight_core_breadcrumb li + li:before' ],
		),
	),
) );
